Bug 988722 - Dist-geo-rep : geo-rep status should be clean and logically separate when there are multiple geo-rep relationship from the same master.
Dist-geo-rep : geo-rep status should be clean and logically separate when the...
Status: CLOSED WONTFIX
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: geo-replication (Show other bugs)
2.1
x86_64 Linux
high Severity medium
: ---
: ---
Assigned To: Bug Updates Notification Mailing List
Sudhir D
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-26 04:50 EDT by Vijaykumar Koppad
Modified: 2014-08-24 20:50 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-25 03:45:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vijaykumar Koppad 2013-07-26 04:50:58 EDT
Description of problem: If there multiple slaves from a same and if the all status of the all the geo-rep session from that volume is requested, it doesn't gives mixed up status, like 

NODE                        MASTER       SLAVE                          HEALTH         UPTIME       
----------------------------------------------------------------------------------------------------
shaktiman.blr.redhat.com    mastervol    ssh://10.70.43.23::slavevol    Not Started    N/A          
shaktiman.blr.redhat.com    mastervol    ssh://10.70.43.23::imaster     Stable         21:30:34     
stark.blr.redhat.com        mastervol    ssh://10.70.43.23::slavevol    Not Started    N/A          
stark.blr.redhat.com        mastervol    ssh://10.70.43.23::imaster     Stable         21:30:33     
spartacus.blr.redhat.com    mastervol    ssh://10.70.43.23::slavevol    Not Started    N/A          
spartacus.blr.redhat.com    mastervol    ssh://10.70.43.23::imaster     Stable         21:43:14     
snow.blr.redhat.com         mastervol    ssh://10.70.43.23::slavevol    Not Started    N/A          
snow.blr.redhat.com         mastervol    ssh://10.70.43.23::imaster     Stable         21:43:14 


it shouldn't be like above, status of each geo-rep relationship logically separated to have more clarity . 


Version-Release number of selected component (if applicable):3.4.0.12rhs.beta6-1.el6rhs.x86_64 


How reproducible: Happens everytime 


Steps to Reproduce:
1.Create and start one to many  geo-rep relationship.
2.Check the status of the geo-rep 
3.

Actual results: It give more cluttered status


Expected results: Each geo-rep sessions should be logically separated. 


Additional info:
Comment 2 Vivek Agarwal 2013-09-25 03:45:54 EDT
Per discussion with Amar/Venky, wontfix in cli.

Note You need to log in before you can comment on or make changes to this bug.